%{!?perl_vendorlib: %define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)}

Name:           perl-Net-IP
Version:        1.21
Release:        0.fdr.1.2
Epoch:          0
Summary:        Perl module for manipulation of IPv4 and IPv6 addresses

Group:          Development/Libraries
License:        GPL or Artistic
URL:            http://search.cpan.org/dist/Net-IP/
Source:         http://www.cpan.org/modules/by-module/Net/Net-IP-1.21.tar.gz
Patch0:         http://rt.cpan.org/NoAuth/Attachment/24678/24151/IP.pm.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  perl >= 1:5.6.1
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This is the Net::IP module, designed to allow easy manipulation of
IPv4 and IPv6 addresses.
There is also a small application which uses the IP.pm module:
ipcount.pl.  Basically, it's an IP address mini-calculator, it can
calculate the number of IP addresses in a prefix or all the prefixes
contained in a given range.


%prep
%setup -q -n Net-IP-%{version}
# http://rt.cpan.org/NoAuth/Bug.html?id=7528
%patch0 -p0
# http://rt.cpan.org/NoAuth/Bug.html?id=3844
%{__perl} -pi -e 's/^use 5\.008;$//' Makefile.PL # 


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*


%check || :
make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING Changes README
%{_bindir}/ipcount
%{_bindir}/iptab
%{perl_vendorlib}/Net
%{_mandir}/man3/Net::IP.3*


%changelog
* Thu Dec  2 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:1.21-0.fdr.1
- Update to 1.21.

* Sat Nov  6 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:1.20-0.fdr.7
- Apply fixes from rt.cpan.org #3844 and #7528.
- Some specfile cleanups.

* Sun May  9 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:1.20-0.fdr.6
- BuildRequire perl >= 1:5.6.1-34.99.6 for support for vendor installdirs.
- Use pure_install to avoid perllocal.pod workarounds.

* Sun Apr 25 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:1.20-0.fdr.5
- Require perl(:MODULE_COMPAT_*).

* Mon Feb  2 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:1.20-0.fdr.4
- Reduce directory ownership bloat.

* Mon Dec  1 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.20-0.fdr.3
- Specfile cleanup.

* Sun Aug 31 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.20-0.fdr.2
- Install into vendor dirs.

* Wed Jul 16 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.20-0.fdr.1
- First build.
